Bug 978138 - RFE: Alert when editing a topic shared across different maps
RFE: Alert when editing a topic shared across different maps
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 00:01 EDT by Misha H. Ali
Modified: 2014-05-18 19:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-06-26 00:01:02 EDT
If a topic is being shared across several CSP Maps, it would be good to have some sort of alert ensuring that the person changing the topic is aware of where the changes will appear.
Comment 1 Lee Newson 2013-06-26 00:16:16 EDT
Setting this as FUTURE, as this is impossible without some sort of ownership or subscription system (so you know who to alert), which in turn requires Authentication and user information.

Currently you could do a search to find what Content Specs use a topic ie:

<HOST>/pressgang-ccms-ui/#SearchResultsAndTopicView;query;tag268=1;topicXml=%255B<TOPIC_ID>

Where <HOST> is the URL of the server and <TOPIC_ID> is the ID of the topic you are editing. We also have plans to actually add a field to do this in the 1.1 release so it's not so messy, but that is all that is available at this stage.

eg:

http://localhost:8080/pressgang-ccms-ui/#SearchResultsAndTopicView;query;tag268=1;topicXml=%255B3737
Comment 2 Lee Newson 2013-10-01 01:29:20 EDT
The above search is no longer necessary as of version 1.1, as it shows what content specs use the topic in the "Content Specs" tab in the topic editor.

Note You need to log in before you can comment on or make changes to this bug.